<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Components|E-mail">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn more about the requirements that your mail server must satisfy before you can send e-mails. " /><title>Mail Server Requirements</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/mail-server-requirements.html">Open topic with navigation</a>
        </p>
        <h3>Mail Server Requirements</h3>
        <p>Before you can configure <span class="VariablesProductName">Metasploit Pro</span> to send e-mail through a <a name="kanchor157"></a>mail server, please make sure that it meets the following requirements: </p>
        <ul>
            <li value="1">
The mail server does not perform reverse DNS lookup to verify that the IP address of the server hosting <span class="VariablesProductName">Metasploit Pro</span> matches the domain of the e-mail address that you are trying to spoof. If the mail server performs reverse DNS lookup, the server will reject the e-mail and refuse to deliver it.</li>
            <li value="2"> 
The mail server does not perform restrictive checks for spam, malicious files, or any type of e-mail abuse. Basically, the mail server should use the lowest levels of protection against spam and junk mail. </li>
        </ul>
        <p class="NoBulletListIndent">

For example, publicly available e-mail services like Gmail, Yahoo, and Hotmail enforce extremely high levels of security and will most likely blacklist any e-mail that appears to be spam. Due to these restrictions, it is recommended that you do not use these types of e-mail services.
</p>
        <ul>
            <li value="1">If the mail server is provided through an e-mail relay service, please check the terms of service for spam or bandwidth restrictions. Many of these providers will track your account to ensure that you are not using it to abuse their services. If any of your e-mail recipients flag your e-mail as spam, this will alert the provider that you may be potentially abusing their system and may cause them to blacklist your e-mail. 

</li>
        </ul>
        <p class="NoBulletListIndent">Some relay service providers may require that you take the time to build a reputation as a legitimate e-mail sender, otherwise, many Internet Service Providers will immediately begin to flag your e-mail as spam. Since volume is typically a huge indicator of spam, you should probably keep the number of outgoing e-mails to below the relay service’s recommended volume. 
</p>
        <ul>
            <li value="1">The SMTP port used to send mail is not blocked by the server running <span class="VariablesProductName">Metasploit Pro</span>. </li>
        </ul>
    </body>
</html>